Setup Error



  • Hi all,
    Please tell me why it might fail:

    Preparing to unpack .../nodejs_0.11.15-1chl1~trusty1_amd64.deb ...
    Unpacking nodejs (0.11.15-1chl1~trusty1) over (0.10.25~dfsg2-2ubuntu1) ...
    dpkg: error processing archive /var/cache/apt/archives/nodejs_0.11.15-1chl1~trusty1_amd64.deb (--unpack):
    trying to overwrite '/usr/share/man/man1/node.1.gz', which is also in package nodejs-legacy 0.10.25~dfsg2-2ubuntu1
    dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
    Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
    Errors were encountered while processing:
    /var/cache/apt/archives/nodejs_0.11.15-1chl1~trusty1_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    OS: Ubuntu 14.04

    Thanks!


  • GNU/Linux

    Looks like you're trying to install a newer version of node from a different repository. I would suggest removing the nodejs-legacy0.10 package first. Doing an apt-get purge nodejs-legacy should do it. Then re-run your install.



  • @KingCat said:

    Looks like you're trying to install a newer version of node from a different repository. I would suggest removing the nodejs-legacy0.10 package first. Doing an apt-get purge nodejs-legacy should do it. Then re-run your install.

    Thanks
    Now it gives:

    Starting NodeBB
    "./nodebb stop" to stop the NodeBB server
    "./nodebb log" to view server output
    root@out7:~/nodebb# url.js:111
    throw new TypeError("Parameter 'url' must be a string, not " + typeof url)
    ^
    TypeError: Parameter 'url' must be a string, not undefined
    at Url.parse (url.js:111:11)
    at Object.urlParse [as parse] (url.js:105:5)
    at getPorts (/root/nodebb/loader.js:184:22)
    at Loader.start (/root/nodebb/loader.js:141:13)
    at /root/nodebb/node_modules/async/lib/async.js:610:21
    at /root/nodebb/node_modules/async/lib/async.js:249:17
    at iterate (/root/nodebb/node_modules/async/lib/async.js:149:13)
    at /root/nodebb/node_modules/async/lib/async.js:160:25
    at /root/nodebb/node_modules/async/lib/async.js:251:21
    at /root/nodebb/node_modules/async/lib/async.js:615:34


  • GNU/Linux

    Did you follow the rest of the docs and do a npm install in the nodebb directory as well as ./nodebb setup?



  • @KingCat said:

    Did you follow the rest of the docs and do a npm install in the nodebb directory as well as ./nodebb setup?

    Thank you, working!


  • GNU/Linux

    Great! Good to hear.



  • @KingCat said:

    Great! Good to hear.

    Another question, pointed your domain in the form: http://site.ru
    But for some reason does not work( There are options why is not working?



  • After installing the Forum opens this way: http://site.ru:4567, tell me how to make the port is opened without?


  • Admin



  • @julian said:

    @1Smert1 https://docs.nodebb.org/en/latest/configuring/proxies/nginx.html

    Thanks for help.
    When you install plugins, I get an error:

    npm WARN package.json nodebb-plugin-dbsearch@0.1.1 No repository field.


  • Admin

    Those aren't errors, they're warnings.



  • [root@IpBnzz100656 nodebb]# npm install
    [root@IpBnzz100656 nodebb]# ./nodebb setup
    24/5 01:59:54 [26530] - warn: Your version of Node.js is too outdated for NodeBB. Please update your versi
    24/5 01:59:55 [26530] - warn: Recommended undefinedundefinedundefinedundefined
    24/5 01:59:55 [26530] - info: NodeBB Setup Triggered via Command Line

    Welcome to NodeBB!

    This looks like a new installation, so you'll have to answer a few questions about your environment before
    Press enter to accept the default setting (shown in brackets).

    24/5 01:59:55 [26530] - info: Now configuring redis database:
    Configuration Saved OK
    Populating database with default configs, if not already set...
    /home/node/nodebb/node_modules/autoprefixer/data/prefixes.js:61
    result[name] = Object.assign({}, data);
    ^
    TypeError: undefined is not a function
    at prefix (/home/node/nodebb/node_modules/autoprefixer/data/prefixes.js:61:31)
    at /home/node/nodebb/node_modules/autoprefixer/data/prefixes.js:88:12
    at f (/home/node/nodebb/node_modules/autoprefixer/data/prefixes.js:40:5)
    at Object.<anonymous> (/home/node/nodebb/node_modules/autoprefixer/data/prefixes.js:87:1)
    at Module._compile (module.js:460:26)
    at Object.Module._extensions..js (module.js:478:10)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Module.require (module.js:365:17)
    at require (module.js:384:17)


  • Global Moderator

    Your version of Node.js is too outdated for NodeBB. Please update your versi

    In case it isn't obvious what you should do, install Node.js version 6. You can Google how to do this.


Log in to reply
 


Star

Looks like your connection to NodeBB was lost, please wait while we try to reconnect.